package com.trafficparrot.sdk.jms;

import com.github.tomakehurst.wiremock.matching.NamedValueMatcher;
import com.google.common.collect.ComparisonChain;

import java.util.Comparator;

class NamedValueMatcherComparator implements Comparator<NamedValueMatcher<?>> {

    static final NamedValueMatcherComparator NAMED_VALUE_MATCHER_COMPARATOR = new NamedValueMatcherComparator();

    @Override
    public int compare(NamedValueMatcher<?> first, NamedValueMatcher<?> second) {
        return ComparisonChain.start()
                .compare(first.getName(), second.getName())
                .compare(first.getExpected(), second.getExpected())
                .result();
    }
}
